using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBCostumVendor : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBCostumVendor()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{ 
				Add( new GenericBuyInfo( "Abyssmal Horror Gem", typeof( HalloweenCostumOne ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Gargoyle Gem", typeof( HalloweenCostumTwo ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Shade Gem", typeof( HalloweenCostumThree ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Giant Black Widow Gem", typeof( HalloweenCostumFour ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Slime Gem", typeof( HalloweenCostumFive ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Succubus Gem", typeof( HalloweenCostumSix ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Gazer Gem", typeof( HalloweenCostumSeven ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Mummy Gem", typeof( HalloweenCostumEight ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Skeleton Gem", typeof( HalloweenCostumNine ), 10, 999, 0xF13, 0 ) );
				Add( new GenericBuyInfo( "Pixie Gem", typeof( HalloweenCostumTen ), 10, 999, 0xF13, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{ 

				Add( typeof( HalloweenCostumOne ), 3 );
				Add( typeof( HalloweenCostumTwo ), 3 );
				Add( typeof( HalloweenCostumThree ), 3 );
				Add( typeof( HalloweenCostumFour ), 3 );
				Add( typeof( HalloweenCostumFive ), 3 );
				Add( typeof( HalloweenCostumSix ), 3 );
				Add( typeof( HalloweenCostumSeven ), 3 );
				Add( typeof( HalloweenCostumEight ), 3 );
				Add( typeof( HalloweenCostumNine ), 3 );
				Add( typeof( HalloweenCostumTen ), 3 );

			}
		}
	}
}
